<div id="body" class="container-fluid">
  <div class="row mx-n5">
    <div class="col">
      <h6 class="mb-3">{{ this.title }}  NCCO Order</h6>
      <div class="form-row text-center" *ngIf="isLocked">
        <div class="form-group form-group-sm col-12 col-md-6 col-lg-4 offset-md-6 offset-lg-8">
          <button type="button" class="btn btn-sm btn-secondary btn-block" [routerLink]='["/ncco/ncco-order"]'>
            Cancel
          </button>
        </div>
      </div>
      <h6 class="text-danger" *ngIf="orderNote != ''">{{ orderNote }}</h6>
      <div class="form-row text-center" *ngIf="showNCCOButtons">
        <!-- <div class="form-row text-center" *ngIf="!isLocked && actionId != 3"> -->
        <div class="form-group form-group-sm col-12 col-md-6 col-lg-4 offset-md-6 offset-lg-8">
          <button type="button" class="btn btn-sm btn-primary btn-block" (click)="save()">
            Submit
          </button>
        </div>
        <div class="form-group form-group-sm col-12 col-md-6 col-lg-4" *ngIf="!showEditButton">
          <button type="button" class="btn btn-sm btn-secondary btn-block" (click)="cancel()">
            Cancel
          </button>
        </div>
      </div>

      <!-- SalesSupport - RTSOrderDetail -->
      <div class="card mb-3" *ngIf="isRTSOrderDetails">
        <h6 class="card-header"> </h6>
        <div class="card-body">
          <form [formGroup]="rtsOrderDetailForm">
            <div class="form-row">
              <div class="form-group form-group-sm row col-24 col-lg-12">
                <label class="col-form-label col-24 col-lg-8 text-danger">Selected M5#</label>
                <div class="col-24 col-lg-16 pl-0 pl-lg-3">
                  <label> {{id}} </label>
                </div>
              </div>
              <div class="form-group form-group-sm row col-24">
                <label class="col-form-label col-24 col-lg-4">Notes</label>
                <div class="col-24 col-lg-20 pl-0 pl-lg-3">
                  <textarea class="form-control form-control-sm" formControlName="nteTxt" placeholder="" rows="5" maxlength="500"></textarea>
                  <span> {{ rtsCommentCharRemaining }} space(s) left </span>
                  <app-form-control-validation [control]="rtsOrderDetailForm.controls.nteTxt" [sourceName]="'Notes'"></app-form-control-validation>
                </div>
              </div>
            </div>
            <div class="form-row text-center">
              <div class="form-group form-group-sm col-12 col-md-6 col-lg-4 offset-md-6 offset-lg-8">
                <br />
                <button type="button" class="btn btn-sm btn-primary btn-block" [disabled]="rtsOrderDetailForm.invalid" (click)="saveGOV()">
                  Submit
                </button>
              </div>
              <div class="form-group form-group-sm col-12 col-md-6 col-lg-4">
                <br />
                <button type="button" class="btn btn-sm btn-secondary btn-block" (click)="cancelOrder()">
                  Close Order
                </button>
              </div>
            </div>

          </form>
        </div>
      </div>
      <!-- SalesSupport - RTSOrderDetail -->
      <!-- GOV - GOMOrderVerification -->
      <div class="card mb-3" *ngIf="isGOV">
        <h6 class="card-header"> </h6>
        <div class="card-body">
          <form [formGroup]="govForm">
            <div class="form-row">
              <div class="form-group form-group-sm row col-24 col-lg-12">
                <label class="col-form-label col-24 col-lg-8 text-danger">Action</label>
                <div class="col-24 col-lg-16 pl-0 pl-lg-3">
                  <dx-select-box [items]="actionsGov" name="actionGov" placeholder="Actions"
                                 displayExpr="description" valueExpr="value"
                                 formControlName="actionGov" required searchMode="startswith"
                                 [searchEnabled]="true" [searchExpr]="['description']"></dx-select-box>
                  <app-form-control-validation [control]="govForm.controls.actionGov" [sourceName]="'Action'"></app-form-control-validation>
                </div>
              </div>
              <div class="form-group form-group-sm row col-24">
                <label class="col-form-label col-24 col-lg-4">Notes</label>
                <div class="col-24 col-lg-20 pl-0 pl-lg-3">
                  <textarea class="form-control form-control-sm" formControlName="noteGov" placeholder="" rows="5" maxlength="500"></textarea>
                  <span> {{ govCommentCharRemaining }} space(s) left </span>
                </div>
              </div>
            </div>

            <div class="form-row text-center">
              <div class="form-group form-group-sm col-12 col-md-6 col-lg-4 offset-md-6 offset-lg-8">
                <br />
                <button type="button" class="btn btn-sm btn-primary btn-block" [disabled]="govForm.invalid" (click)="saveGOV()">
                  Submit
                </button>
              </div>
              <div class="form-group form-group-sm col-12 col-md-6 col-lg-4">
                <br />
                <button type="button" class="btn btn-sm btn-secondary btn-block" (click)="cancelOrder()">
                  Close Order
                </button>
              </div>
            </div>

          </form>
        </div>
      </div>
      <!-- GOM - GOMOrderVerification -->
      <!-- XOV - xNCIOrderVerification -->
      <div class="card mb-3" *ngIf="isXOV">
        <h6 class="card-header"> </h6>
        <div class="card-body">
          <form [formGroup]="xovForm">
            <div class="form-row">
              <div class="form-group form-group-sm row col-24 col-lg-12">
                <label class="col-form-label col-24 col-lg-8 text-danger">Action</label>
                <div class="col-24 col-lg-16 pl-0 pl-lg-3">
                  <dx-select-box [items]="actionsXov" name="actionXov" placeholder="Actions"
                                 displayExpr="description" valueExpr="value" searchMode="startswith"
                                 [searchEnabled]="true" [searchExpr]="['description']"
                                 formControlName="actionXov" required
                                 (onValueChanged)="onValueXOVChanged($event)"></dx-select-box>
                  <app-form-control-validation [control]="xovForm.controls.actionXov" [sourceName]="'Action'"></app-form-control-validation>
                </div>
              </div>
              <div class="form-group form-group-sm row col-24 col-lg-12">
                <label class="col-form-label col-24 col-lg-8">Reject Reason</label>
                <div class="col-24 col-lg-16 pl-0 pl-lg-3">
                  <dx-select-box [items]="rejectReasonsXov" name="rejectReasonXov"
                                 placeholder="Reject Reason" formControlName="rejectReasonXov"
                                 displayExpr="description" valueExpr="value" searchMode="startswith"
                                 [searchEnabled]="true" [searchExpr]="['description']"></dx-select-box>
                </div>
              </div>
              <div class="form-group form-group-sm row col-24">
                <label class="col-form-label col-24 col-lg-4">Notes</label>
                <div class="col-24 col-lg-20 pl-0 pl-lg-3">
                  <textarea class="form-control form-control-sm" formControlName="noteXov" placeholder="" rows="5" maxlength="500"></textarea>
                </div>
              </div>
            </div>
            <div class="form-row text-center">
              <div class="form-group form-group-sm col-12 col-md-6 col-lg-4 offset-md-6 offset-lg-8">
                <br />
                <button type="button" class="btn btn-sm btn-primary btn-block" (click)="saveXOV()">

                  Submit
                </button>
              </div>
              <div class="form-group form-group-sm col-12 col-md-6 col-lg-4">
                <br />
                <button type="button" class="btn btn-sm btn-secondary btn-block" (click)="cancelOrder()">
                  Close Order
                </button>
              </div>
            </div>
          </form>
        </div>
      </div>
      <!-- XOV - xNCIOrderVerification -->
      <!-- GPL - GOMPL -->
      <div class="card mb-3" *ngIf="isGPL">
        <h5 class="card-header"> </h5>
        <div class="card-body">
          <form [formGroup]="gplForm">
            <div class="form-row">
              <div class="form-group form-group-sm row col-24 col-lg-24">
                <label class="col-form-label col-24 col-lg-3 text-danger">PL Number</label>
                <div class="col-24 col-lg-8 pl-0 pl-lg-3">
                  <input type="text" id="numbersonly" numbersOnly class="form-control form-control-sm" formControlName="pLNumber" minlength="6" maxlength="6" required />
                  <app-form-control-validation [control]="gplForm.controls.pLNumber" [customMessage]="'Please enter a 6 digit number for Private Line value.'" [sourceName]="'PL Number'"></app-form-control-validation>
                </div>
              </div>
            </div>
            <div class="form-row" *ngIf="!plOnEdit">
              <div class="form-group form-group-sm row col-24 col-lg-24">
                <label class="col-form-label col-24 col-lg-3">PL Sequence Number</label>
                <div class="col-24 col-lg-6 pl-0 pl-lg-3">
                  <input type="text" class="form-control form-control-sm" alphaNumericOnly formControlName="plSequenceNumber" minlength="4" maxlength="4" />
                  <app-form-control-validation [control]="gplForm.controls.plSequenceNumber" [customMessage]="'Please enter a 4 digit number for Private Line Sequence value.'" [sourceName]="'PL Sequence Number'"></app-form-control-validation>
                </div>
                <div class="col-24 col-lg-2 pl-0 pl-lg-3">
                  <button type="button" class="btn btn-sm btn-primary btn-block" [disabled]="gplForm.controls.plSequenceNumber.invalid" (click)="addPl()">
                    Add
                  </button>
                </div>
              </div>
            </div>
            <div class="form-row" *ngIf="plOnEdit">
              <div class="form-group form-group-sm row col-24 col-lg-24">
                <label class="col-form-label col-24 col-lg-3">PL Sequence Number</label>
                <div class="col-24 col-lg-4 pl-0 pl-lg-3">
                  <input type="text" class="form-control form-control-sm" alphaNumericOnly formControlName="plSequenceNumber" minlength="4" maxlength="4" />
                  <app-form-control-validation [control]="gplForm.controls.plSequenceNumber" [customMessage]="'Please enter a 4 digit number for Private Line Sequence value.'" [sourceName]="'PL Sequence Number'"></app-form-control-validation>
                </div>
                <div class="col-24 col-lg-2 pl-0 pl-lg-3">
                  <button type="button" class="btn btn-sm btn-primary btn-block" [disabled]="gplForm.controls.plSequenceNumber.invalid" (click)="addPl()">
                    Save
                  </button>
                </div>
                <div class="col-24 col-lg-2 pl-0 pl-lg-3">
                  <button type="button" class="btn btn-sm btn-secondary btn-block" (click)="cancelPLAdd()">
                    Cancel
                  </button>
                </div>
              </div>
            </div>
            <div class="form-row">
              <div class="form-group form-group-sm row col-24 col-lg-24">
                <label class="col-form-label col-24 col-lg-3"> &nbsp; </label>
                <div class="col-24 col-lg-8 pl-0 pl-lg-3">
                  <dx-data-grid #gplGrid id="gridContainer"
                                [dataSource]="MyPLNumber"
                                keyExpr="id"
                                [allowColumnReordering]="true"
                                [rowAlternationEnabled]="true"
                                [showBorders]="true"
                                (onSelectionChanged)="selectionChangedHandler($event)">
                    <dxo-sorting mode="multiple"></dxo-sorting>
                    <dxo-selection mode="single" showCheckBoxesMode="always"></dxo-selection>
                    <dxo-paging [enabled]="true"></dxo-paging>
                    <dxo-editing mode="row"
                                 [allowDeleting]="true"
                                 [confirmDelete]="false"></dxo-editing>
                    <dxi-column dataField="name" dataType="string" [maxLength]="4" caption="PL Sequence Number:">
                    </dxi-column>
                  </dx-data-grid>

                </div>
              </div>
            </div>
            <div class="form-row">
              <div class="form-group form-group-sm row col-24 col-lg-24">
                <label class="col-form-label col-24 col-lg-3">Notes</label>
                <div class="col-24 col-lg-21 pl-0 pl-lg-3">
                  <textarea class="form-control form-control-sm" formControlName="noteGpl" placeholder="" rows="5" maxlength="500"></textarea>
                </div>
              </div>
            </div>
            <div class="form-row text-center">
              <div class="form-group form-group-sm col-12 col-md-6 col-lg-4 offset-md-6 offset-lg-8">
                <br />
                <button type="button" class="btn btn-sm btn-primary btn-block" [disabled]="gplForm.invalid" (click)="saveGPL()">
                  Submit
                </button>
              </div>
              <div class="form-group form-group-sm col-12 col-md-6 col-lg-4">
                <br />
                <button type="button" class="btn btn-sm btn-secondary btn-block" (click)="cancelOrder()">
                  Close Order
                </button>
              </div>
            </div>
          </form>
        </div>
      </div>
      <!-- GPL - GOMPL -->
      <!-- CCD - GOMCCD -->
      <div class="card mb-3" *ngIf="isCCD">
        <h6 class="card-header"> </h6>
        <div class="card-body">
          <form [formGroup]="ccdForm">
            <div class="form-row">
              <div class="form-group form-group-sm row col-24 col-lg-12">
                <label class="col-form-label col-24 col-lg-8 text-danger">Action</label>
                <div class="col-24 col-lg-16 pl-0 pl-lg-3">
                  <dx-select-box [items]="actionsCCD" name="lassie" placeholder="Actions"
                                 displayExpr="description" valueExpr="value"
                                 formControlName="actionCCD" required searchMode="startswith"
                                 [searchEnabled]="true" [searchExpr]="['description']"></dx-select-box>
                  <app-form-control-validation [control]="ccdForm.controls.actionCCD" [sourceName]="'Action'"></app-form-control-validation>
                </div>
              </div>
              <div class="form-row text-center">
                <div class="form-group form-group-sm col-12 col-md-6 col-lg-4 offset-md-6 offset-lg-8">
                  <br />
                  <button type="button" class="btn btn-sm btn-primary btn-block" (click)="saveCCD()">
                    Submit
                  </button>
                </div>
                <div class="form-group form-group-sm col-12 col-md-6 col-lg-4">
                  <br />
                  <button type="button" class="btn btn-sm btn-secondary btn-block" (click)="cancelOrder()">
                    Close Order
                  </button>
                </div>
              </div>
            </div>
          </form>
        </div>
      </div>
      <!-- CCD - GOMCCD -->
      <!-- CPE - OrderDetails -->
      <div class="card mb-3" *ngIf="isCPEOrderDetail">
        <h6 class="card-header"> Device Order </h6>
        <div class="card-body">
          <form [formGroup]="cpeOrderDetailForm">
            <div class="form-row">
              <div class="form-group form-group-sm row col-24">
                <label class="col-form-label col-24 col-lg-4">Notes</label>
                <div class="col-24 col-lg-20 pl-0 pl-lg-3">
                  <textarea class="form-control form-control-sm" formControlName="note" placeholder="" rows="5" maxlength="500"></textarea>
                </div>
              </div>
            </div>
            <div class="form-row text-center">
              <div class="form-group form-group-sm col-24 col-md-6 col-lg-4 offset-md-5">
                <br />
                <button type="button" class="btn btn-sm btn-primary btn-block" (click)="cancelOrder()">
                  Close Order
                </button>
              </div>

            </div>
          </form>
        </div>
      </div>
      <!-- CPE - OrderDetails -->


      <form *ngIf="showNCCODetails">
        <!--NCCO Order Details-->
        <app-ncco-order-details [group]="form" [showEditButton]="showEditButton"></app-ncco-order-details>
        <br />
        <div class="form-row text-center" *ngIf="showNCCOButtons">
          <div class="form-group form-group-sm col-12 col-md-6 col-lg-4 offset-md-6 offset-lg-8">
            <button type="button" class="btn btn-sm btn-primary btn-block" (click)="save()">
              Submit
            </button>
          </div>
          <div class="form-group form-group-sm col-12 col-md-6 col-lg-4" *ngIf="!showEditButton">
            <button type="button" class="btn btn-sm btn-secondary btn-block" (click)="cancel()">
              Cancel
            </button>
          </div>
        </div>
        <br />
        <app-order-note-template *ngIf="id > 0 && actionId != 1" [orderId]="id" [accordion]="true" [userID]="userID" [noteTypeId]="0" [PrntPrfID]="0" [sortExpression]="sortExpression"></app-order-note-template>
      </form>

    </div>
  </div>
</div>
